Subject: bug#66647: Installation of RPMs produced by ‘guix pack’ is super slow

From: Ludovic Courtès <[email-masked]>
Date: Mon, 15 Jan 2024 10:12:40 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Simon Tournier <[email-masked]> writes:
>
>> Hi Inria’s folks, :-)
>>
>> On Sat, 02 Dec 2023 at 18:13, Maxim Cournoyer <[email-masked]> wrote:
>>
>>> I'd rather we try it with a few more software such as 'dnf' to narrow it
>>> down to just 'yum', or some other issues in our Guix-generated RPM.
>>
>> have you tried with ’dnf’?  Is it similarly slow as ’yum’?
>
> I've tried it myself, and it was fast.  yum is an alias that invokes dnf
> even on an old obsolete Fedora 37 VM I had available.
>
> We could mention that other package managers than yum should be
> preferred in a "@quotation Note", due to a performance problem when
> handling modern RPMs as those made by Guix; or we could close this and
> wait for yum to have become completely irrelevant (which seems like in a
> year or so, last I checked the RHEL end-of-life dates).
>
> Is someone volunteering to add the note?  Or should we close this?

Yeah maybe let’s just a short note warning against old versions of ‘yum’
and close this issue.

Thanks for following up!

Ludo’.